com.gisgraphy.importer.dto

## Class AssociatedStreetHouseNumber

- java.lang.Object
- - com.gisgraphy.importer.dto.AssociatedStreetHouseNumber

-     public class AssociatedStreetHouseNumber
      extends Object

  Represents a house number with an associated street in the Karlsruhe schema.
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociatedStreetHouseNumber()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMember(AssociatedStreetMember member)`
    `List<AssociatedStreetMember>` | `getAssociatedStreetMember()`
    `List<AssociatedStreetMember>` | `getHouseMembers()`
    `String` | `getRelationID()`
    `List<AssociatedStreetMember>` | `getStreetMembers()`
    `void` | `setAssociatedStreetMember(List<AssociatedStreetMember> associatedStreetMember)`
    `void` | `setRelationID(String relationID)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociatedStreetHouseNumber

          public AssociatedStreetHouseNumber()

  - ### Method Detail

    - #### getAssociatedStreetMember

          public List<AssociatedStreetMember> getAssociatedStreetMember()

      Returns:
        the associatedStreetMember

    - #### setAssociatedStreetMember

          public void setAssociatedStreetMember(List<AssociatedStreetMember> associatedStreetMember)

      Parameters:
        `associatedStreetMember` - the associatedStreetMember to set

    - #### getRelationID

          public String getRelationID()

      Returns:
        the relationID

    - #### setRelationID

          public void setRelationID(String relationID)

      Parameters:
        `relationID` - the relationID to set

    - #### addMember

          public void addMember(AssociatedStreetMember member)

    - #### getStreetMembers

          public List<AssociatedStreetMember> getStreetMembers()

    - #### getHouseMembers

          public List<AssociatedStreetMember> getHouseMembers()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.